Skip to content

Create Task bytedance/seedream-4

POST https://www.kkiai.com/replicate/v1/models/bytedance/seedream-4/predictions

Request Parameters

Authorization

Add the Authorization parameter to the Header, with its value being the Token concatenated after Bearer

Example: Authorization: Bearer ********************

Request Example

json
{
    "input": {
        "size": "2K",
        "width": 2048,
        "height": 2048,
        "prompt": "a photo of a store front called i\"sedream 4\", it sells books, a poster in the window says i\"sedream 4 now on Replicate!\"",
        "max_images": 2,
        "image_input": [],
        "aspect_ratio": "4:3",
        "sequential_image_generation": "auto"
    }
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/replicate/v1/models/bytedance/seedream-4/predictions' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "input": {
        "size": "2K",
        "width": 2048,
        "height": 2048,
        "prompt": "a photo of a store front called i\"sedream 4\", it sells books, a poster in the window says i\"sedream 4 now on Replicate!\"",
        "max_images": 2,
        "image_input": [],
        "aspect_ratio": "4:3",
        "sequential_image_generation": "auto"
    }
}'

Response

🟢 200 Success

Response Example

json
{}